SELECT
    count(f.path) AS Cnt,
    f.hash AS Hash,
    array_agg(distinct i.path) Paths
FROM
    files AS f
INNER JOIN
    files i
ON
    i.hash = f.hash
GROUP BY
    f.hash
HAVING
    count(f.path)>1
ORDER BY
    Cnt DESC
;
